Capability (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.Capability interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface Capability

All Superinterfaces:
  ManagedElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  CapabilityGroup, DataServiceCapabilities

    public interface Capability

extends ManagedElement

Naming Rules:
  0="capabilityName"
Persistable:
  true
Table Name:
  CAPABILITY
Display Name:
  capabilityName

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getCapabilityName()`
`java.lang.String` | `getExpression()`
`boolean` | `hasCapabilityName()`
`boolean` | `hasExpression()`
`void` | `setCapabilityName(java.lang.String name)`
`void` | `setExpression(java.lang.String expr)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getCapabilityName

    java.lang.String getCapabilityName()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCapabilityName

    void setCapabilityName(java.lang.String name)

### hasCapabilityName

    boolean hasCapabilityName()

### getExpression

    java.lang.String getExpression()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExpression

    void setExpression(java.lang.String expr)

### hasExpression

    boolean hasExpression()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD